Subject: Clocktable :step errors

From: Craig Smith <[email-masked]>
Date: Fri, 1 Apr 2022 15:49:45 +0000

Good Day,

I am encountering clocktable :step errors with EMACS.  The following command

M-x org-clock-report

applied to

#+BEGIN: clocktable :maxlevel 4 :scope tree2 :tstart "<2021-10-03 Sun 00:01>" :tend "<tomorrow>" :step month :narrow 75! :link nil
#+END: clocktable

yields the following error message

Wrong type argument: number-or-marker-p, nil

The same error occurs with :step semimonth and :step year as well.  If I use :step day or :step week, there is no error and EMACS cheerfully produces the desired report.

Online documentation states the :step month, semimonth or year commands are valid.  The below link is one such instance.

https://www.gnu.org/software/emacs/manual/html_node/org/The-clock-table.html

But, I have tried the :step commands with Emacs 25.3.1 on Windows 10, Emacs 26.3 on Windows XP and Emacs 26.3 on my Android phone through Termux.  All three versions do not accept the :step month, :step semimonth or :step year command.  I have concluded the :step month, semimonth or year commands were valid at one time and online documentation has not caught up with the change.  It is not a big problem, but Ι thought worth bringing to your attention.

Regards,

Craig Smith
Texas